/*
**	xdiff -- graphical diff for X
**	data.h: data-structures header
**
**	Copyright (C) 1996  Paul J. Lucas
**
**	This program is free software; you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation; either version 1, or (at your option)
**	any later version.
** 
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
** 
**	You should have received a copy of the GNU General Public License
**	along with this program; if not, write to the Free Software
**	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef	data_H
#define	data_H

/* local */
#include "c_compat.h"

typedef enum { same_line, diff_line, new_line, no_line } line_type;

typedef struct {
	char const	*text;
	short		length;
	line_type	type;
} line_info;

typedef struct {
	line_info	*line[2];
} line_set;

typedef struct {
	line_set	*set;			/* malloc'd vector */
	int		max_lines;
} line_map;

extern line_map		map;
extern char const	*me;

#endif	/* data_H */
